MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025769Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-01-30 13:052015-05-14 15:32
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025769: Replace BOPCol_Array1 with NCollection_Vector
DescriptionReplace BOPCol_Array1 with NCollection_Vector.

The task is part of the Project:
OCC / OCCT Modeling 2015
Steps To ReproduceNo script. Just test it, please.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0036886)
git (administrator)
2015-01-30 13:36

Branch CR25769 has been created by pkv.

SHA-1: 27a6612865a30b0491f4f37901a9d3da93f09dd1


No new revisions were added by this update.
(0036887)
git (administrator)
2015-01-30 14:02

Branch CR25769 has been updated by pkv.

SHA-1: 03796909da5fef3cea690b60ab6fac99daabb521


Detailed log of new commits:

Author: pkv
Date: Fri Jan 30 14:02:21 2015 +0300

    v1.0
    
    I. New features:
    1.1. class NCollection_BaseVector
        method:
        void SetIncrement(const Standard_Integer aIncrement)
        has been added.
        The method allows to set the size of increment dynamically
        [ not in constructor ].
    
    1.2 class BOPCol_Array1
        has been removed.
    
    II. Changes:
    II.1. classes
    BOPDS_DS
    BOPDS_InterfFF
    BOPDS_Iterator
    BOPDS_VectorOfCurve
    BOPDS_VectorOfFaceInfo
    BOPDS_VectorOfIndexRange
    BOPDS_VectorOfInterfEE
    BOPDS_VectorOfInterfEF
    BOPDS_VectorOfInterfEZ
    BOPDS_VectorOfInterfFF
    BOPDS_VectorOfInterfFZ
    BOPDS_VectorOfInterfVE
    BOPDS_VectorOfInterfVF
    BOPDS_VectorOfInterfVV
    BOPDS_VectorOfInterfVZ
    BOPDS_VectorOfInterfZZ
    BOPDS_VectorOfListOfPassKeyBoolean
    BOPDS_VectorOfListOfPaveBlock
    BOPDS_VectorOfPoint
    BOPDS_VectorOfShapeInfo
    BOPAlgo_PaveFiller
    QANewModTopOpe_Tools
    have been modified to take into account I.1, I.2
    
    II.2. class BOPTest_Chronometer
    has been modified to use the driver of the type
    OSD_Timer instead OSD_Chronometer
    
    III. Modified entities:
    packages:
    NCollection
    BOPCol
    BOPDS
    BOPAlgo
    QANewModTopOpe

(0036889)
pkv (developer)
2015-01-30 14:03

Git branch CR25769 is ready to be reviewed.
(0036895)
emv (developer)
2015-01-30 14:30

Reviewed.
(0036971)
git (administrator)
2015-02-02 15:02

Branch CR25769 has been updated forcibly by apn.

SHA-1: d2bd9e9b0e25de962a7e48f33d7addbc1d6db84a
(0037026)
apn (administrator)
2015-02-03 16:45

Dear BugMaster,
Branch CR25769 from occt git-repository (and CR25769 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested in Release mode.
SHA-1: d2bd9e9b0e25de962a7e48f33d7addbc1d6db84a

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 370458324 / 370076844
Total CPU difference: 55864.28000000007 / 49863.81000000002

Testing on Windows:
Total MEMORY difference: 276240132 / 276276616
Total CPU difference: 40994.90625 / 36894.0

There are not differences in images found by testdiff.

PRODUCTS branch CR25769 was created. It contains fix for compiling products CSharp sample.
(0038582)
git (administrator)
2015-03-18 13:37

Branch CR25769 has been deleted by inv.

SHA-1: d2bd9e9b0e25de962a7e48f33d7addbc1d6db84a

- Related Changesets
occt: master 402bfe81
Timestamp: 2015-01-30 11:02:21
Author: pkv
Committer: bugmaster
Details ] Diff ]
0025769: Replace BOPCol_Array1 with NCollection_Vector

New features:
1. class NCollection_BaseVector
    method:
    void SetIncrement(const Standard_Integer aIncrement)
    has been added.
    The method allows to set the size of increment dynamically
    [ not in constructor ].

2 class BOPCol_Array1
    has been removed.

Changes:
1. classes
BOPDS_DS
BOPDS_InterfFF
BOPDS_Iterator
BOPDS_VectorOfCurve
BOPDS_VectorOfFaceInfo
BOPDS_VectorOfIndexRange
BOPDS_VectorOfInterfEE
BOPDS_VectorOfInterfEF
BOPDS_VectorOfInterfEZ
BOPDS_VectorOfInterfFF
BOPDS_VectorOfInterfFZ
BOPDS_VectorOfInterfVE
BOPDS_VectorOfInterfVF
BOPDS_VectorOfInterfVV
BOPDS_VectorOfInterfVZ
BOPDS_VectorOfInterfZZ
BOPDS_VectorOfListOfPassKeyBoolean
BOPDS_VectorOfListOfPaveBlock
BOPDS_VectorOfPoint
BOPDS_VectorOfShapeInfo
BOPAlgo_PaveFiller
QANewModTopOpe_Tools
have been modified to take into account New features: 1 and 2

2. class BOPTest_Chronometer
has been modified to use the driver of the type
OSD_Timer instead OSD_Chronometer
mod - src/BOPAlgo/BOPAlgo_PaveFiller_1.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_10.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_4.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_5.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
mod - src/BOPCol/BOPCol.cdl Diff ] File ]
rm - src/BOPCol/BOPCol_Array1.hxx Diff ] File ]
mod - src/BOPCol/FILES Diff ] File ]
mod - src/BOPDS/BOPDS_DS.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_Interf.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_Iterator.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfCurve.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfFaceInfo.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfIndexRange.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfEE.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfEF.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfEZ.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfFF.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfFZ.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfVE.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfVF.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfVV.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfVZ.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfZZ.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfListOfPassKeyBoolean.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfPoint.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfShapeInfo.hxx Diff ] File ]
mod - src/BOPTest/BOPTest_Chronometer.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseVector.hxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Tools.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-30 13:05 pkv New Issue
2015-01-30 13:05 pkv Assigned To => pkv
2015-01-30 13:07 pkv Status new => assigned
2015-01-30 13:36 git Note Added: 0036886
2015-01-30 14:02 git Note Added: 0036887
2015-01-30 14:03 pkv Status assigned => resolved
2015-01-30 14:03 pkv Note Added: 0036889
2015-01-30 14:04 pkv Assigned To pkv => emv
2015-01-30 14:30 emv Note Added: 0036895
2015-01-30 14:30 emv Assigned To emv => apn
2015-01-30 14:30 emv Status resolved => reviewed
2015-02-02 15:02 git Note Added: 0036971
2015-02-03 16:45 apn Note Added: 0037026
2015-02-03 16:47 apn Test case number => Not needed
2015-02-03 16:47 apn Assigned To apn => bugmaster
2015-02-03 16:47 apn Status reviewed => tested
2015-02-06 15:38 bugmaster Changeset attached => occt master 402bfe81
2015-02-06 15:38 bugmaster Status tested => verified
2015-02-06 15:38 bugmaster Resolution open => fixed
2015-03-18 13:37 git Note Added: 0038582
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker